=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%squirrel-$1.tar.gz%" \
             https://github.com/albertodemichelis/squirrel/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
